WriteNowTextInternal::Font Struct Reference

Internal: the fonts. More...

## Public Member Functions
| Font ()
| the constructor

## Public Attributes
MWAWFont | m_font
| the font
int | m_styleId [2]
| the char/ruler style id
int | m_flags [3]
| some unknown flag

## Friends
std::ostream & | operator<< (std::ostream &o, Font const &font)
| operator<<

## Detailed Description

Internal: the fonts.

## Constructor & Destructor Documentation

## ◆ Font()

WriteNowTextInternal::Font::Font | ( |  | ) |
| inline

the constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Font const & | font )
| friend

operator<<

## Member Data Documentation

## ◆ m_flags

int WriteNowTextInternal::Font::m_flags[3]

some unknown flag

Referenced by Font(), operator<<, and WriteNowText::readFont().

## ◆ m_font

MWAWFont WriteNowTextInternal::Font::m_font

the font

Referenced by Font(), WriteNowText::readFont(), WriteNowText::readStyles(), and WriteNowText::send().

## ◆ m_styleId

int WriteNowTextInternal::Font::m_styleId[2]

the char/ruler style id

Referenced by Font(), operator<<, and WriteNowText::readFont().

The documentation for this struct was generated from the following file:

- WriteNowText.cxx